Bug Hunting Session
Bug 115651 - Writers table drops colors of cels and text on reopened file when adding a new row
Summary: Writers table drops colors of cels and text on reopened file when adding a ne...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.1.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-02-12 11:56 UTC by Uroš Malenšek
Modified: 2019-02-02 20:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Saved table with coloring (5.49 KB, image/png)
2018-02-12 12:01 UTC, Uroš Malenšek
Details
Lost colors after a row is added (3.65 KB, image/png)
2018-02-12 12:02 UTC, Uroš Malenšek
Details
Result of an undo edoting with partialy restored coloring (3.51 KB, image/png)
2018-02-12 12:03 UTC, Uroš Malenšek
Details
Demo file (10.53 KB, application/vnd.oasis.opendocument.text)
2018-02-12 12:05 UTC, Uroš Malenšek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uroš Malenšek 2018-02-12 11:56:38 UTC
Description:
After a file with a table with colored cels and text is saved and reopened, adding a new table row triggers the disappearance of colors.

After undo this is partialy restored. Still blocking the update of the table content.

Steps to Reproduce:
1. Create a table do some coloring of the cels background and the text.
2. Save the file and close.
3. Open previously saved file.
4. insert new line.
Colors disapear.
5. Undo the change
Only the colors of the background are restored. All writings stays black.

Actual Results:  
Colors disappear.

Expected Results:
Colors remain when table is changed.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Uroš Malenšek 2018-02-12 12:01:32 UTC
Created attachment 139829 [details]
Saved table with coloring
Comment 2 Uroš Malenšek 2018-02-12 12:02:18 UTC
Created attachment 139830 [details]
Lost colors after a row is added
Comment 3 Uroš Malenšek 2018-02-12 12:03:49 UTC
Created attachment 139831 [details]
Result of an undo edoting with partialy restored coloring
Comment 4 Uroš Malenšek 2018-02-12 12:05:45 UTC
Created attachment 139832 [details]
Demo file
Comment 5 Telesto 2018-02-12 19:13:23 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 8a0b61172a14b8b766a2e85f27762db3558d3af7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-06_03:28:54
Locale: nl-NL (nl_NL); Calc: CL

A dupe or a variant of bug 115573.
Comment 6 Roman Kuznetsov 2019-02-02 20:47:27 UTC
don't repro in

Версия: 6.3.0.0.alpha0+
ID сборки: 51af3179cf972809d6495c7d58033e069f647bbf
Потоков ЦП: 4; ОС:Linux 4.18; Отрисовка ИП: по умолчанию; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-01_00:15:00
Локаль: ru-RU (ru_RU.UTF-8); UI-Language: ru-RU
Calc: threaded

win only or WFM?